# Comunicacao com o iCarros

# Diretorio de instalacao do sisdia
# Padrao: /sisdia
export DIR_SISDIA=/sisdia

# Instancia do informix
# Padrao: ol_standsoc
export INFORMIXSERVER=ol_standsoc

# Endereco do web service
# Padrao: http://186.251.89.243/LinxiCarros/soap/ILinxiCarros
export URL_PROXY=http://186.251.89.243/LinxiCarros/soap/ILinxiCarros

# Instalacao do java
# Padrao: /usr/local/jre1.6
export JAVA_HOME=/usr/local/jre1.6

# Arquivo de log
# Padrao: /tmp/itau.log
export LOG=/tmp/itau.log

# descomente a linha abaixo para gravar log
# existem 3 niveis de log, 1, 2 e 3, sendo 3 o mais detalhado
export ITAU_DBG=3

cd $DIR_SISDIA
PATH=$JAVA_HOME/bin:$PATH

# Verifica o JAVA
java -version >/dev/null 2>&1
if [ $? != 0 ]
then
	echo "java nao encontrado"
	exit -1
fi

if [ $INFORMIXSERVER"." == "." ]
then
	echo "Variavel INFORMIXSERVER nao definida"
	exit -1
fi

# Procura o HOST da instancia no sqlhosts
HOST=`egrep "$INFORMIXSERVER\W" /opt/informix/etc/sqlhosts | awk '{print $3}'`

# Procura o SERVICO da instancia no sqlhosts
SERVICO=`egrep "$INFORMIXSERVER\W" /opt/informix/etc/sqlhosts | awk '{print $4}'`

# Procura a PORTA do SERVICO
PORTA=`grep $SERVICO /etc/services | awk '{print $2}' | awk -F/ '{print $1}'`

# Monta a string de conexao ao banco de dados
export STRING_CONEXAO="jdbc:informix-sqli://$HOST:$PORTA/sisdia:informixserver=$INFORMIX_SERVER;user=tomcat;password=703kg7d14"

export DRIVER="com.informix.jdbc.IfxDriver"

if [ $1 == "-v" ]
then
	java -jar comunicacao_itau.jar $STRING_CONEXAO $DRIVER $*
else
	java -jar comunicacao_itau.jar $STRING_CONEXAO $DRIVER $* >>$LOG 2>&1
fi
